Package bitel.billing.server.contract.bean

# Class ContractService

java.lang.Object
bitel.billing.server.contract.bean.ContractService

All Implemented Interfaces:
  `java.io.Serializable`

    public class ContractService
    extends java.lang.Object
    implements java.io.Serializable

Разрешенная на договоре услуга.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractService()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ContractService` | `clone()` |
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `int` | `getContractID()` | Deprecated.
  `java.util.Calendar` | `getDate1()` | Deprecated. см. getDateFrom()
  `java.util.Calendar` | `getDate2()` | Deprecated. см. getDateTo()
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `int` | `getId()` |
  `int` | `getID()` | Deprecated.
  `int` | `getServiceId()` |
  `int` | `getServiceID()` | Deprecated.
  `java.lang.String` | `getServiceTitle()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractID​(int contractId)` | Deprecated.
  `void` | `setDate1​(java.util.Calendar date1)` | Deprecated. см. setDateFrom()
  `void` | `setDate2​(java.util.Calendar date2)` | Deprecated. см. setDateTo()
  `void` | `setDateFrom​(java.util.Date date)` |
  `void` | `setDateTo​(java.util.Date date)` |
  `void` | `setId​(int id)` |
  `void` | `setID​(int id)` | Deprecated.
  `void` | `setServiceId​(int serviceId)` |
  `void` | `setServiceID​(int serviceId)` | Deprecated.
  `void` | `setServiceTitle​(java.lang.String serviceTitle)` |

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractService

    public ContractService()

- ## Method Details

  - ### getId

    public int getId()

  - ### getID

    @Deprecated public int getID()
    Deprecated.
    Использовать `getId()`.
    Returns:

  - ### setId

    public void setId​(int id)

  - ### setID

    @Deprecated public void setID​(int id)
    Deprecated.
    Использовать `setId(int)`.
    Parameters:
      `id` -

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### setServiceId

    public void setServiceId​(int serviceId)

  - ### setServiceID

    @Deprecated public void setServiceID​(int serviceId)
    Deprecated.
    Использовать `setServiceId(int)`.
    Parameters:
      `serviceId` -

  - ### setDateTo

    public void setDateTo​(java.util.Date date)

  - ### setDateFrom

    public void setDateFrom​(java.util.Date date)

  - ### setContractId

    public void setContractId​(int contractId)

  - ### setContractID

    @Deprecated public void setContractID​(int contractId)
    Deprecated.
    Использовать `setContractId(int)`.
    Parameters:
      `contractId` -

  - ### getContractId

    public int getContractId()

  - ### getContractID

    @Deprecated public int getContractID()
    Deprecated.
    Использовать `getContractId()`.
    Returns:

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### getServiceId

    public int getServiceId()

  - ### getServiceID

    @Deprecated public int getServiceID()
    Deprecated.
    Использовать `getServiceId()`.
    Returns:

  - ### clone

    public ContractService clone()
    Overrides:
      `clone` in class `java.lang.Object`

  - ### setDate1

    @Deprecated public void setDate1​(java.util.Calendar date1)
    Deprecated.
    см. setDateFrom()
    Parameters:
      `date1` -

  - ### setDate2

    @Deprecated public void setDate2​(java.util.Calendar date2)
    Deprecated.
    см. setDateTo()
    Parameters:
      `date2` -

  - ### getDate1

    @Deprecated public java.util.Calendar getDate1()
    Deprecated.
    см. getDateFrom()

  - ### getDate2

    @Deprecated public java.util.Calendar getDate2()
    Deprecated.
    см. getDateTo()
    Returns:

  - ### getServiceTitle

    public java.lang.String getServiceTitle()

  - ### setServiceTitle

    public void setServiceTitle​(java.lang.String serviceTitle)